#pragma strict

private var camXOffset : float = 3.0; 
private var camYOffset : float = 1.0;
private var camSpeed : float = 8.0;
private var camUpSpeed : float = 10.0;
private var doctor : GameObject;

function Awake () 
{
	doctor = GameObject.FindGameObjectWithTag("Doctor");
}

function Update () 
{
	if (doctor.transform.position.x > (gameObject.transform.position.x + camXOffset))
	{
		gameObject.transform.position.x += camSpeed * Time.deltaTime;
	}
	if (doctor.transform.position.x < (gameObject.transform.position.x - camXOffset))
	{
		gameObject.transform.position.x -= camSpeed * Time.deltaTime;
	}
	if (doctor.transform.position.y > (gameObject.transform.position.y + camYOffset))
	{
		gameObject.transform.position.y += camUpSpeed * Time.deltaTime;
	}
}