#pragma strict

//future objects
public var futureSonic : GameObject;
public var futureBlockOne : GameObject;
public var futureLeverOne : GameObject;


public var futureBlockTwo : GameObject;
public var futureBlockTwoB : GameObject;
public var futureKey : GameObject;
public var futureChest : GameObject;
public var futureOil : GameObject;

public var futureRustyLever : GameObject;
public var futureFixedLever : GameObject;

public var futureLeverFinal : GameObject;
public var futureLeverFinalOpen : GameObject;
public var futureTardis : GameObject;

public var futureGate1 : GameObject;
public var futureGate2 : GameObject;
public var pastGate1 : GameObject;
public var pastGate2 : GameObject;

public var b1 : GameObject;
public var b2 : GameObject;

//past objects
public var pastSonic : GameObject;
public var pastBlockOne : GameObject;
public var pastLeverOne : GameObject;
public var pastLeverOneOpen : GameObject;

public var pastBlockTwo : GameObject;
public var pastBlockTwoB : GameObject;
public var pastKey : GameObject;
public var pastLeverTwo : GameObject;
public var pastLeverTwoClosed : GameObject;
public var pastOil : GameObject;

public var pastRustyLever : GameObject;
public var pastFixedLever : GameObject;

public var pastLeverFinal : GameObject;
public var pastTardis : GameObject;

public var magicOne : GameObject;
public var magicTwo : GameObject;
public var magicThree : GameObject;
public var magicFour : GameObject;

private var victory : boolean = false; 
private var sonicMagic : boolean = false;
private var leverOneMagic : boolean = false;
private var keyMagic : boolean = false;
private var oiled : boolean = false;
private var finalLeverMagic : boolean = false; 

private var futFinal1 : boolean = false;
private var futFinal2 : boolean = false;
private var pastFinal1 : boolean = false;
private var pastFinal2 : boolean = true; 

function Awake () 
{
	futureSonic.active = false;
	pastBlockOne.active = false;
	pastBlockOne.transform.FindChild("collide right").active = false;
	futureLeverOne.active = false;
	pastLeverOneOpen.active = false;
	
	pastBlockTwoB.active = false;
	pastBlockTwoB.transform.FindChild("collide right").active = false;
	
	futureOil.active = false;
	pastLeverTwoClosed.active = false;
	pastOil.active = false;
	pastFixedLever.active = false;
	futureFixedLever.active = false;
	magicOne.active = false;
	magicTwo.active = false;
	magicThree.active = false;
	magicFour.active = false;
	futureKey.active = false;
	futureKey.transform.GetChild(0).active = false;
	futureKey.transform.GetChild(1).active = false;
	futureKey.transform.GetChild(2).active = false;
	futureKey.transform.GetChild(3).active = false;
	futureKey.transform.GetChild(4).active = false;
	futureKey.transform.GetChild(5).active = false;
	futureKey.transform.GetChild(6).active = false;
	futureTardis.active = false;
	futureLeverFinalOpen.active = false;
	
	
}

function Update () 
{
	if (victory == true && futureTardis.active == true)
	{
		Application.LoadLevel("Win");
	}
//	if (!b1.active && futureBlockTwo.active == true)
//	{
//		if (pastBlockTwo.active == true)
//		{
//			pastBlockTwoB.active = true;
//			pastBlockTwoB.transform.FindChild("collide right").active = true;
//		}
//		futureBlockTwo.active = false;
//		futureBlockTwo.transform.FindChild("collide right").active = false;
//		futureBlockTwo.transform.FindChild("collide left").active = false;
//		futureBlockTwoB.active = true;
//		futureBlockTwoB.transform.FindChild("collide right").active = true;
//		
//	}
	if (futFinal1 == true && futFinal2 == true)
	{
		RemoveFutGateTwo();
		print("hello");
	}
	if (pastFinal1 == true && pastFinal2 == true)
	{
		print("hi");
		RemovePastGateTwo();
	}
}

function TimeLordVictorious ()
{
	victory = true;
}

function SonicAcquired ()
{
	futureSonic.active = false;
}



function RemoveFutGateOne ()
{
	futureGate1.active = false;
	futureGate1.transform.FindChild("collide right").active = false;
}

function RemoveFutGateTwo ()
{
	futureGate2.active = false;
	futureGate2.transform.FindChild("collide right").active = false;
}

function RemovePastGateOne ()
{
	pastGate1.active = false;
	pastGate1.transform.FindChild("collide right").active = false;
}

function RemovePastGateTwo ()
{
	pastGate2.active = false;
	pastGate2.transform.FindChild("collide right").active = false;
}

function OpenChest ()
{
	futureChest.active = false;
	futureOil.active = true;
}

function TransferSonic ()
{
	magicOne.active = true;
	futureSonic.active = true;
}

function SendBoxOne ()
{
	pastBlockOne.active = true;
	pastBlockOne.transform.FindChild("collide right").active = true;
}

function PastLeverOne ()
{
	if (leverOneMagic == true)
	{
		futureLeverOne.active = true;
		magicTwo.active = true;
		RemoveFutGateOne();
	}
	else
	{
		pastLeverOne.active = false; 
		pastLeverOneOpen.active = true;
		RemovePastGateOne();
		leverOneMagic = true;
	}
}

function DrawBridge ()
{
	b1.active = false;
	b2.active = false;
	pastLeverTwo.active = false;
	pastLeverTwoClosed.active = true;
}

function TransferOil ()
{
	futureOil.active = false;
	pastOil.active = true;
}

function SendBlock2 ()
{
//	if (futureBlockTwoB.active == true)
//	{
		pastBlockTwoB.active = true;
		
	//}
//	else if (futureBlockTwoB.active == true)
//	{
//		pastBlockTwoB.active = true;
//		pastBlockTwoB.transform.FindChild("collide right").active = true;
//	}
}

function FinalLever ()
{
	magicFour.active = true;
	futureLeverFinalOpen.active = true;
	futureLeverFinal.active = false;
	futFinal2 = true;
	RemoveFutGateTwo();
}

function TransferKey ()
{
	magicThree.active = true;
	futureKey.active = true;
	futureKey.transform.GetChild(0).active = true;
	futureKey.transform.GetChild(1).active = true;
	futureKey.transform.GetChild(2).active = true;
	futureKey.transform.GetChild(3).active = true;
	futureKey.transform.GetChild(4).active = true;
	futureKey.transform.GetChild(5).active = true;
	futureKey.transform.GetChild(6).active = true;
}

function OilLever ()
{
	futureRustyLever.active = false;
	pastRustyLever.active = false;
	futureFixedLever.active = true;
	pastFixedLever.active = true;
	futFinal1 = true;
	pastFinal1 = true;
	RemovePastGateTwo();
}

function Allonsy ()
{
	Application.LoadLevel("Win");
	futureTardis.active = true;
}

function DestroyKey ()
{
	futureKey.active = false;
	futureKey.transform.GetChild(0).active = false;
	futureKey.transform.GetChild(1).active = false;
	futureKey.transform.GetChild(2).active = false;
	futureKey.transform.GetChild(3).active = false;
	futureKey.transform.GetChild(4).active = false;
	futureKey.transform.GetChild(5).active = false;
	futureKey.transform.GetChild(6).active = false;
}

function OilAcquired ()
{
	pastOil.active = false; 
}